%define name glpi-tracker_agent
%define version 1.5.3
%define release %mkrel 1

Summary: SNMP agent plugin
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Monitoring
Url: http://forge.indepnet.net/projects/tracker
Source0: https://forge.indepnet.net/attachments/download/510/%{name}-%{version}.tar.gz
patch:  agent_tracker-1.5.3-fhs.patch
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
This plugin enables you get informations for networking devices by SNMP.

%prep
%setup -q -n agent_tracker
%patch -p 1

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_sbindir}
install -m 755 tracker_agent.pl %{buildroot}%{_sbindir}

install -d -m 755 %{buildroot}%{_datadir}/tracker_agent
cp -r inc %{buildroot}%{_datadir}/tracker_agent
cp -r tools %{buildroot}%{_datadir}/tracker_agent

install -d -m 755 %{buildroot}%{_localstatedir}/log/tracker_agent

install -d -m 755 %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/tracker_agent.conf <<EOF
server=http://192.168.0.1/glpi/plugins/tracker/front/plugin_tracker.agents.diag.php
id=1
key=WdcgsRftXkBoohQUmcboKC7gGM2NeL
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/tracker_agent.pl
%{_datadir}/tracker_agent
%{_localstatedir}/log/tracker_agent
%config(noreplace) %{_sysconfdir}/tracker_agent.conf


%changelog
* Tue Mar 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.3-1mdv2010.0
+ Revision: 526824
- import glpi-tracker_agent


